"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Comment = void 0;

var _hooksReact = require("@sensenet/hooks-react");

var _core = require("@material-ui/core");

var _react = _interopRequireWildcard(require("react"));

var _hooks = require("../../hooks");

var _ = require(".");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const MAX_TEXT_LENGTH = 160;
/**
 * Represents a single comment component.
 */

const Comment = props => {
  const isLongText = props.comment.text && props.comment.text.length > MAX_TEXT_LENGTH;
  const [isOpen, setIsOpen] = (0, _react.useState)(!isLongText);
  const localization = (0, _hooks.useLocalization)();
  const commentState = (0, _hooks.useCommentState)();
  const repo = (0, _hooksReact.useRepository)();
  const [isSelected, setIsSelected] = (0, _react.useState)(props.comment.id === commentState.activeCommentId);
  (0, _react.useEffect)(() => {
    setIsSelected(props.comment.id === commentState.activeCommentId);
  }, [commentState.activeCommentId, props.comment.id]);
  return /*#__PURE__*/_react.default.createElement(_.CommentCard, {
    active: isSelected,
    onClick: () => commentState.setActiveComment(props.comment.id)
  }, /*#__PURE__*/_react.default.createElement(_core.CardHeader, {
    avatar: repo.configuration.repositoryUrl === props.comment.createdBy.avatarUrl ? /*#__PURE__*/_react.default.createElement(_core.Avatar, null) : /*#__PURE__*/_react.default.createElement(_core.Avatar, {
      src: props.comment.createdBy.avatarUrl,
      alt: localization.avatarAlt
    }),
    title: props.comment.createdBy.displayName
  }), /*#__PURE__*/_react.default.createElement(_core.Collapse, {
    in: isOpen,
    timeout: "auto",
    collapsedHeight: isOpen ? '0px' : '78px'
  }, /*#__PURE__*/_react.default.createElement(_core.CardContent, null, /*#__PURE__*/_react.default.createElement(_core.Typography, {
    style: {
      wordBreak: 'break-word'
    }
  }, props.comment.text))), /*#__PURE__*/_react.default.createElement(_core.CardActions, null, isLongText ? /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_core.Button, {
    size: "small",
    onClick: () => setIsOpen(!isOpen)
  }, isOpen ? localization.showLess : localization.showMore), isOpen ? /*#__PURE__*/_react.default.createElement(_.DeleteButton, {
    comment: props.comment
  }) : null) : /*#__PURE__*/_react.default.createElement(_.DeleteButton, {
    comment: props.comment
  })));
};

exports.Comment = Comment;
//# sourceMappingURL=comment.js.map