"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DeleteButton = void 0;

var _core = require("@material-ui/core");

var _react = _interopRequireWildcard(require("react"));

var _hooks = require("../../hooks");

var _confirmationDialog = require("../confirmation-dialog");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

/**
 * Represents a delete button with confirmation dialog
 */
const DeleteButton = props => {
  const [isDialogOpen, setIsDialogOpen] = (0, _react.useState)(false);
  const api = (0, _hooks.useDocumentViewerApi)();
  const {
    documentData
  } = (0, _hooks.useDocumentData)();
  const localization = (0, _hooks.useLocalization)();

  const handleClick = () => {
    setIsDialogOpen(true);
  };

  const handleDialogClose = isCanceled => {
    if (!isCanceled) {
      api.commentActions.deletePreviewComment({
        document: documentData,
        commentId: props.comment.id,
        abortController: new AbortController()
      });
    }

    setIsDialogOpen(false);
  };

  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_core.Button, {
    color: "primary",
    size: "small",
    onClick: handleClick
  }, localization.delete), /*#__PURE__*/_react.default.createElement(_confirmationDialog.ConfirmationDialog, {
    dialogTitle: localization.deleteCommentDialogTitle,
    cancelButtonText: localization.cancelButton,
    okButtonText: localization.okButton,
    isOpen: isDialogOpen,
    onClose: handleDialogClose
  }, localization.deleteCommentDialogBody));
};

exports.DeleteButton = DeleteButton;
//# sourceMappingURL=delete-comment-button.js.map