"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.RotateWidget = void 0;

var _react = _interopRequireWildcard(require("react"));

var _ = require("../..");

var _hooks = require("../../hooks");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const RotateWidget = props => {
  const viewerState = (0, _hooks.useViewerState)();
  const previewImages = (0, _hooks.usePreviewImages)();

  const rotateFunc = (newRotation, direction, pageIndex) => {
    const existingObj = newRotation.find(rotation => rotation.pageNum === pageIndex);

    if (newRotation.length > 0 && existingObj) {
      const prevValue = existingObj.degree || 0;
      existingObj.degree = _.ImageUtil.normalizeDegrees((prevValue + (direction === 'left' ? -_.ROTATION_AMOUNT : _.ROTATION_AMOUNT) % 360) % 360);
    } else {
      newRotation.push({
        pageNum: pageIndex,
        degree: _.ImageUtil.normalizeDegrees((0 + (direction === 'left' ? -_.ROTATION_AMOUNT : _.ROTATION_AMOUNT) % 360) % 360)
      });
    }
  };

  const rotateDocument = (0, _react.useCallback)(direction => {
    var _viewerState$rotation;

    const newRotation = (_viewerState$rotation = viewerState.rotation) !== null && _viewerState$rotation !== void 0 ? _viewerState$rotation : [];

    if (props.pages === 'all') {
      previewImages.imageData.forEach(page => {
        rotateFunc(newRotation, direction, page.Index);
      });
    } else {
      rotateFunc(newRotation, direction, viewerState.activePage);
    }

    viewerState.updateState({
      rotation: newRotation
    });
  }, [previewImages.imageData, props.pages, viewerState]);

  switch (props.mode) {
    case _.ROTATION_MODE.anticlockwise:
    case _.ROTATION_MODE.clockwise:
      return props.renderButton(props.mode, rotateDocument);

    default:
      return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, props.renderButton(_.ROTATION_MODE.anticlockwise, rotateDocument), props.renderButton(_.ROTATION_MODE.clockwise, rotateDocument));
  }
};

exports.RotateWidget = RotateWidget;
//# sourceMappingURL=rotate-widget.js.map