"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SaveWidget = void 0;

var _core = require("@material-ui/core");

var _icons = require("@material-ui/icons");

var _react = _interopRequireWildcard(require("react"));

var _hooks = require("../../hooks");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const useStyles = (0, _core.makeStyles)(() => {
  return (0, _core.createStyles)({
    iconButton: {
      display: 'inline-block'
    },
    icon: {}
  });
});

/**
 * Document widget component for saving document state
 */
const SaveWidget = props => {
  const classes = useStyles(props);
  const api = (0, _hooks.useDocumentViewerApi)();
  const {
    documentData
  } = (0, _hooks.useDocumentData)();
  const permissions = (0, _hooks.useDocumentPermissions)();
  const pages = (0, _hooks.usePreviewImages)();
  const viewerState = (0, _hooks.useViewerState)();
  const localization = (0, _hooks.useLocalization)();
  const save = (0, _react.useCallback)(() => {
    permissions.canEdit && api.saveChanges({
      document: documentData,
      pages: pages.imageData,
      abortController: new AbortController()
    });
    viewerState.updateState({
      hasChanges: false
    });
  }, [api, documentData, pages.imageData, permissions.canEdit, viewerState]);
  return /*#__PURE__*/_react.default.createElement(_core.IconButton, {
    className: classes.iconButton,
    disabled: !viewerState.hasChanges || !permissions.canEdit,
    title: localization.saveChanges,
    onClick: save,
    id: "Save"
  }, /*#__PURE__*/_react.default.createElement(_icons.Save, {
    className: classes.icon
  }));
};

exports.SaveWidget = SaveWidget;
//# sourceMappingURL=save-widget.js.map