"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ToggleWatermarkWidget = void 0;

var _core = require("@material-ui/core");

var _icons = require("@material-ui/icons");

var _clsx = _interopRequireDefault(require("clsx"));

var _react = _interopRequireDefault(require("react"));

var _hooks = require("../../hooks");

var _toggleBase = require("./toggle-base");

const useStyles = (0, _core.makeStyles)(theme => {
  return (0, _core.createStyles)({
    iconButton: {},
    icon: {},
    iconActive: {
      fill: theme.palette.primary.main
    }
  });
});

/**
 * Document widget component that toggles the displaying of the watermark
 */
const ToggleWatermarkWidget = props => {
  const classes = useStyles(props);
  const localization = (0, _hooks.useLocalization)();
  const viewerState = (0, _hooks.useViewerState)();
  const permissions = (0, _hooks.useDocumentPermissions)();
  return /*#__PURE__*/_react.default.createElement(_toggleBase.ToggleBase, {
    disabled: !permissions.canHideWatermark,
    classes: classes,
    title: localization.toggleWatermark,
    active: viewerState.showWatermark,
    setValue: v => viewerState.updateState({
      showWatermark: v
    })
  }, /*#__PURE__*/_react.default.createElement(_icons.BrandingWatermark, {
    className: (0, _clsx.default)(classes.icon, {
      [classes.iconActive]: viewerState.showWatermark
    })
  }));
};

exports.ToggleWatermarkWidget = ToggleWatermarkWidget;
//# sourceMappingURL=toggle-watermark.js.map