"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ZoomInOutWidget = void 0;

var _core = require("@material-ui/core");

var _icons = require("@material-ui/icons");

var _react = _interopRequireWildcard(require("react"));

var _hooks = require("../../hooks");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const useStyles = (0, _core.makeStyles)(() => {
  return (0, _core.createStyles)({
    iconButton: {},
    icon: {}
  });
});

/**
 * Document widget component for modifying the zoom mode / level
 */
const ZoomInOutWidget = props => {
  const classes = useStyles(props);
  const localization = (0, _hooks.useLocalization)();
  const viewerState = (0, _hooks.useViewerState)();
  const zoomIn = (0, _react.useCallback)(() => {
    viewerState.updateState({
      zoomLevel: viewerState.zoomLevel + 1
    });
  }, [viewerState]);
  const zoomOut = (0, _react.useCallback)(() => {
    viewerState.updateState({
      zoomLevel: viewerState.zoomLevel - 1
    });
  }, [viewerState]);
  return /*#__PURE__*/_react.default.createElement("div", {
    style: {
      display: 'inline-block'
    }
  }, /*#__PURE__*/_react.default.createElement(_core.IconButton, {
    className: classes.iconButton,
    color: "inherit",
    onClick: zoomIn,
    title: localization.zoomIn,
    disabled: viewerState.zoomLevel >= 13
  }, /*#__PURE__*/_react.default.createElement(_icons.ZoomIn, {
    className: classes.icon
  })), /*#__PURE__*/_react.default.createElement(_core.IconButton, {
    className: classes.iconButton,
    color: "inherit",
    onClick: zoomOut,
    title: localization.zoomOut,
    disabled: viewerState.zoomLevel <= -7
  }, /*#__PURE__*/_react.default.createElement(_icons.ZoomOut, {
    className: classes.icon
  })));
};

exports.ZoomInOutWidget = ZoomInOutWidget;
//# sourceMappingURL=zoom-in-out.js.map