"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ShapeAnnotation = void 0;

var _core = require("@material-ui/core");

var _grey = _interopRequireDefault(require("@material-ui/core/colors/grey.js"));

var _icons = require("@material-ui/icons");

var _react = _interopRequireWildcard(require("react"));

var _ = require("../..");

var _hooks = require("../../hooks");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const useStyles = (0, _core.makeStyles)(theme => {
  return (0, _core.createStyles)({
    annotationInput: {
      width: '100%',
      height: '100%',
      overflow: 'auto',
      '&:focus': {
        outline: 'none'
      },
      writingMode: ({
        rotationDegree
      }) => rotationDegree === 0 || rotationDegree === 180 ? 'unset' : 'vertical-rl',
      transform: ({
        rotationDegree
      }) => rotationDegree === 180 || rotationDegree === 270 ? 'rotate(180deg)' : 'none'
    },
    title: {
      fontSize: '12px',
      marginRight: '6px'
    },
    textBox: {
      display: 'flex',
      justifyContent: 'space-between',
      alignItems: 'center',
      marginBottom: '6px'
    },
    textField: {
      width: '55px'
    },
    paper: {
      padding: '10px',
      marginLeft: '10px',
      border: `solid ${_grey.default[600]} 2px`
    },
    button: {
      backgroundColor: theme.palette.error.light
    }
  });
});
/**
 * Defined the component's own properties
 */

const ShapeAnnotation = props => {
  var _viewerState$rotation, _viewerState$rotation2;

  const viewerState = (0, _hooks.useViewerState)();
  const rotationDegree = ((_viewerState$rotation = viewerState.rotation) === null || _viewerState$rotation === void 0 ? void 0 : (_viewerState$rotation2 = _viewerState$rotation.find(rotation => rotation.pageNum === props.shape.imageIndex)) === null || _viewerState$rotation2 === void 0 ? void 0 : _viewerState$rotation2.degree) || 0;
  const classes = useStyles({
    rotationDegree
  });
  const localization = (0, _hooks.useLocalization)();
  const permissions = (0, _.useDocumentPermissions)();
  const [anchorEl, setAnchorEl] = (0, _react.useState)(null);
  const open = Boolean(anchorEl);
  const id = open ? 'annotation-settings' : undefined;

  const getDimensions = () => {
    const dimensions = props.getShapeDimensions(props.shape);
    return {
      top: dimensions.top,
      left: dimensions.left,
      width: dimensions.width,
      height: dimensions.height
    };
  };

  const onRightClick = event => {
    event.preventDefault();
    setAnchorEl(anchorEl ? null : event.currentTarget);
  };

  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_.AnnotationWrapper, {
    shape: props.shape,
    zoomRatio: props.zoomRatio,
    dimensions: getDimensions(),
    onRightClick: onRightClick,
    onDragStart: props.onDragStart,
    onResized: props.onResized,
    rotationDegree: props.rotationDegree
  }, /*#__PURE__*/_react.default.createElement("div", {
    id: "annotation-input",
    className: classes.annotationInput,
    contentEditable: permissions.canEdit && rotationDegree === 0 ? 'plaintext-only' : false,
    suppressContentEditableWarning: true
  }, props.shape.text)), /*#__PURE__*/_react.default.createElement(_core.Popper, {
    id: id,
    open: open,
    anchorEl: anchorEl,
    placement: "right-start"
  }, /*#__PURE__*/_react.default.createElement(_core.ClickAwayListener, {
    onClickAway: () => setAnchorEl(null)
  }, /*#__PURE__*/_react.default.createElement(_core.Paper, {
    className: classes.paper
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: classes.textBox
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: classes.title
  }, "Line height:"), /*#__PURE__*/_react.default.createElement(_core.TextField, {
    className: classes.textField,
    defaultValue: props.shape.lineHeight,
    size: "small",
    placeholder: "Line height",
    type: "number",
    onChange: event => props.updateShapeData('annotations', props.shape.guid, { ...props.shape,
      lineHeight: parseInt(event.target.value, 10)
    })
  }), /*#__PURE__*/_react.default.createElement("div", {
    className: classes.title
  }, "px")), /*#__PURE__*/_react.default.createElement("div", {
    className: classes.textBox
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: classes.title
  }, "Font size:"), /*#__PURE__*/_react.default.createElement(_core.TextField, {
    className: classes.textField,
    defaultValue: props.shape.fontSize,
    size: "small",
    placeholder: "Font size",
    type: "number",
    onChange: event => props.updateShapeData('annotations', props.shape.guid, { ...props.shape,
      fontSize: parseInt(event.target.value, 10)
    })
  }), /*#__PURE__*/_react.default.createElement("div", {
    className: classes.title
  }, "px")), /*#__PURE__*/_react.default.createElement("div", {
    className: classes.textBox
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: classes.title
  }, "Font bold:"), /*#__PURE__*/_react.default.createElement(_core.TextField, {
    className: classes.textField,
    defaultValue: props.shape.fontBold,
    size: "small",
    placeholder: "Font bold",
    type: "number",
    onChange: event => props.updateShapeData('annotations', props.shape.guid, { ...props.shape,
      fontBold: parseInt(event.target.value, 10)
    })
  })), /*#__PURE__*/_react.default.createElement("div", {
    className: classes.textBox
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: classes.title
  }, "Font color:"), /*#__PURE__*/_react.default.createElement(_core.TextField, {
    className: classes.textField,
    defaultValue: props.shape.fontColor,
    size: "small",
    placeholder: "Font color",
    type: "color",
    onChange: event => props.updateShapeData('annotations', props.shape.guid, { ...props.shape,
      fontColor: event.target.value
    })
  })), /*#__PURE__*/_react.default.createElement("div", {
    className: classes.textBox
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: classes.title
  }, "Font italic:"), /*#__PURE__*/_react.default.createElement(_core.Checkbox, {
    checked: props.shape.fontItalic,
    onChange: event => props.updateShapeData('annotations', props.shape.guid, { ...props.shape,
      fontItalic: event.target.checked
    }),
    name: "fontItalic",
    color: "primary"
  })), /*#__PURE__*/_react.default.createElement("div", {
    className: classes.textBox,
    style: {
      justifyContent: 'center'
    }
  }, /*#__PURE__*/_react.default.createElement(_core.Button, {
    variant: "contained",
    className: classes.button,
    onMouseUp: () => props.removeShape('annotations', props.shape.guid),
    startIcon: /*#__PURE__*/_react.default.createElement(_icons.Delete, {
      scale: props.zoomRatio
    })
  }, localization.delete))))));
};

exports.ShapeAnnotation = ShapeAnnotation;
//# sourceMappingURL=shape-annotation.js.map