"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ThumbnailPage = void 0;

var _core = require("@material-ui/core");

var _react = _interopRequireDefault(require("react"));

var _components = require("../components");

var _hooks = require("../hooks");

const useStyles = (0, _core.makeStyles)(() => {
  return (0, _core.createStyles)({
    thumbnailPage: {
      padding: 0,
      overflow: 'hidden',
      width: ({
        page
      }) => page.Width - 2 * _components.THUMBNAIL_PADDING,
      height: ({
        page
      }) => page.Height - 2 * _components.THUMBNAIL_PADDING,
      position: 'relative'
    },
    image: {
      display: 'flex',
      justifyContent: 'center'
    }
  });
});
/**
 * Defined the component's own properties
 */

const ThumbnailPage = props => {
  const classes = useStyles(props);
  const viewerState = (0, _hooks.useViewerState)();
  const page = (0, _hooks.usePreviewImage)(props.page.Index);
  const isActive = page.image && viewerState.activePage === page.image.Index;
  const imgUrl = page.image && page.image.ThumbnailImageUrl || '';
  return /*#__PURE__*/_react.default.createElement(_core.Paper, {
    elevation: isActive ? 8 : 2,
    className: _components.THUMBNAIL_NAME,
    style: {
      margin: _components.THUMBNAIL_PADDING
    }
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: classes.thumbnailPage,
    onClick: ev => {
      props.onClick(ev);
    }
  }, /*#__PURE__*/_react.default.createElement("span", {
    className: classes.image
  }, imgUrl ? /*#__PURE__*/_react.default.createElement("img", {
    src: `${imgUrl}${viewerState.showWatermark ? '?watermark=true' : ''}`,
    alt: "",
    style: {
      transition: 'transform .1s ease-in-out'
    }
  }) : /*#__PURE__*/_react.default.createElement(_core.CircularProgress, {
    style: {
      marginTop: '50%'
    }
  }))));
};

exports.ThumbnailPage = ThumbnailPage;
//# sourceMappingURL=thumbnail-page.js.map