"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ViewerStateProvider = exports.ViewerStateContext = exports.defaultViewerState = exports.DEFAULT_ZOOM_LEVEL = void 0;

var _clientUtils = require("@sensenet/client-utils");

var _react = _interopRequireWildcard(require("react"));

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const DEFAULT_ZOOM_LEVEL = 3;
exports.DEFAULT_ZOOM_LEVEL = DEFAULT_ZOOM_LEVEL;
const defaultViewerState = {
  activePage: 1,
  showWatermark: false,
  showRedaction: true,
  showShapes: true,
  showThumbnails: false,
  zoomLevel: DEFAULT_ZOOM_LEVEL,
  rotation: undefined,
  showComments: false,
  hasChanges: false,
  isPlacingCommentMarker: false,
  activeShapePlacing: 'none',
  isCreateCommentActive: false,
  pageToGo: new _clientUtils.ObservableValue({
    page: 1
  }),
  updateState: () => {},
  pagesRects: new Array(),
  boxPosition: {
    left: 0,
    top: 0,
    bottom: 0,
    right: 0
  },
  currentlyResizedElementId: undefined
};
exports.defaultViewerState = defaultViewerState;
const ViewerStateContext = /*#__PURE__*/(0, _react.createContext)(defaultViewerState);
exports.ViewerStateContext = ViewerStateContext;

const ViewerStateProvider = props => {
  const [state, setState] = (0, _react.useState)((0, _clientUtils.deepMerge)({ ...defaultViewerState
  }, props.options));
  (0, _react.useEffect)(() => {
    setState((0, _clientUtils.deepMerge)({ ...defaultViewerState
    }, props.options));
  }, [props.options]);
  const updateState = (0, _react.useCallback)(callback => {
    if (callback instanceof Function) {
      setState(previous => (0, _clientUtils.deepMerge)(previous, callback(previous)));
    } else {
      setState(previous => (0, _clientUtils.deepMerge)(previous, callback));
    }
  }, []);
  return /*#__PURE__*/_react.default.createElement(ViewerStateContext.Provider, {
    value: { ...state,
      updateState
    }
  }, props.children);
};

exports.ViewerStateProvider = ViewerStateProvider;
//# sourceMappingURL=viewer-state.js.map